/* ==========================
   Google Font
========================== */

 

/* ==========================
   Main Section
========================== */

.map-section{
    padding:70px;
}

  

/* ==========================
   Map Area
========================== */

.map-area{ 
    border-radius:1px;
    /*padding:40px; */
}

.map-area object{
    width:100%;
    display:block;
}


/* ==========================
   Town Marker
========================== */
/* ==========================
Town Marker
========================== */

.town-marker {
    cursor: pointer;
    pointer-events: all;
}

/* Circle */
.town-marker circle {
    fill: white;
    transition: all .3s ease;
}

/* Plus sign */
.town-plus {
    fill: #33415569;
    font-size: 50px;
    font-family: Arial, sans-serif;
    font-weight: light;
    pointer-events: none;
    transition: opacity .3s ease;
}

/* Municipality name */
.town-label {
    font-size: 24px;
    font-weight: 600;
    fill: rgb(23, 24, 24);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.35s ease, dx 0.45s cubic-bezier(.4, 0, .2, 1);
}

/* Active municipality */
.marker-active .town-plus {
    opacity: 0;
}

.marker-active .town-label {
     opacity: 1;
    dx: 0;
}

.marker-active circle {
    fill: #0ea5e9;
    r: 55;
}


 .town-background-image {
    pointer-events: none;
}


.town-label-bg {
    fill: #fcfcfcec;
    opacity: 0;
    pointer-events: none;
    transform-origin: left center;
    transition: opacity 0.25s ease;
    border: 1px solid #0e0d0da2;
}

.marker-active .town-label-bg {
    opacity: 1; 
}

.marker-active circle {
    opacity: 0;
}

.town-marker circle {
    fill: rgba(255, 255, 255, 0.836);
    transition: all .3s ease;
}

.marker-active circle {
    opacity: 0;
}
 
path {
    transition: opacity .4s ease, filter .4s ease;
    cursor: pointer;
}

path.town-active {
    opacity: 1;
    stroke: #fff;
    stroke-width: 5;
    filter: brightness(1.2) drop-shadow(10px 10px 0 rgba(0, 0, 0, 1));
}
 

/* ==========================
   Responsive
========================== */

@media(max-width:992px){

    .container{
        grid-template-columns:1fr;
    }

    /* .info-panel{
    position:relative;
    top:0;
    } */

    .map-section{
    padding:20px;
    }

}
 
 
.map-area svg path{
    cursor:pointer;
    transition:all .35s ease;
}

/* Lahat dim */
.map-area:hover svg path{
    //opacity:.90;
}

/* Hover */
.map-area svg path:hover {
    opacity: 1;
    stroke: #fff;
    stroke-width: 5;
    filter: brightness(1.2) drop-shadow(10px 10px 0 rgba(0, 0, 0, 1));
}


#tooltip{
    position:fixed;
    background:rgba(253, 253, 253, 0.80);
    color:#0e0d0d;
    padding:10px 16px;
    border-radius:3px;
    font-size:15px;
    font-weight:300;
    letter-spacing:.1px;
    pointer-events:none;
    opacity:0;
    transform:translateY(10px);
    transition:.2s ease;
    z-index:9999;
    box-shadow:0 8px 25px rgba(0,0,0,.25);
}

#tooltip.show{
    opacity:1;
    transform:translateY(0);
}



/* TEST: Town label animation */

.town-label {
    opacity: 0;
    pointer-events: none;
}

.marker-active .town-label {
    animation: townTextIn 0.5s ease forwards;
}

@keyframes townTextIn {
    from {
        opacity: 0;
        clip-path: inset(0 100% 0 0);
    }

    to {
        opacity: 1;
        clip-path: inset(0 0 0 0);
    }
}